{% extends 'base.html.twig' %}

{% block main %}

    <h1 class="text-center">{{ msg('translations-for', [tool.title]) }}</h1>

    {% if not logged_in_user() %}
        <p class="text-center">{{ msg('log-in-to-translate') }}</p>
    {% endif %}

    <table class="table" style="width:auto; margin:auto">
        <thead>
            <tr>
                <th scope="col">{{ msg('page-path') }}</th>
                {% for l in langs %}
                    <th scope="col">
                        {% if l == lang() %}<mark>{% endif %}
                        {{ lang_name(l) }} <span class="text-muted">({{ l }})</span>
                        {% if l == lang() %}</mark>{% endif %}
                    </th>
                {% endfor %}
            </tr>
        </thead>
        <tbody>
            {% for path, path_langs in pages %}
                <tr>
                    <th class="" scope="row">
                        <a href="{{path('page', {tool:tool.name, lang:lang(), path:path})}}">
                            {{ path }}
                        </a>
                    </th>
                    {% for l in langs %}
                        <td class="{% if l in path_langs %}table-success{% else %}table-warning{% endif %}">
                            <a href="{{path('translate', {toolName:tool.name, uselang:l, path:path})}}">
                                {% if l in path_langs %}
                                    {{ msg('translation-started') }}
                                {% else %}
                                    {{ msg('translation-not-started') }}
                                {% endif %}
                            </a>
                        </td>
                    {% endfor %}
                </tr>
            {% endfor %}
        </tbody>
    </table>

{% endblock %}
